
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSValuation2Response complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSValuation2Response"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="TxID" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/&gt;
 *         &lt;element name="Valuation" type="{http://samo.cz/iva/}WSValuationType" minOccurs="0"/&gt;
 *         &lt;element name="PdfDocument" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/&gt;
 *         &lt;element name="ReturnCode" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="ReturnMessage" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="ProcessInfo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSValuation2Response", propOrder = {
    "txID",
    "valuation",
    "pdfDocument",
    "returnCode",
    "returnMessage",
    "processInfo"
})
public class WSValuation2Response {

    @XmlElement(name = "TxID")
    protected Long txID;
    @XmlElement(name = "Valuation", nillable = true)
    protected WSValuationType valuation;
    @XmlElement(name = "PdfDocument", nillable = true)
    protected byte[] pdfDocument;
    @XmlElement(name = "ReturnCode")
    protected Integer returnCode;
    @XmlElement(name = "ReturnMessage", nillable = true)
    protected String returnMessage;
    @XmlElement(name = "ProcessInfo", nillable = true)
    protected String processInfo;

    /**
     * Gets the value of the txID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getTxID() {
        return txID;
    }

    /**
     * Sets the value of the txID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTxID(Long value) {
        this.txID = value;
    }

    /**
     * Gets the value of the valuation property.
     * 
     * @return
     *     possible object is
     *     {@link WSValuationType }
     *     
     */
    public WSValuationType getValuation() {
        return valuation;
    }

    /**
     * Sets the value of the valuation property.
     * 
     * @param value
     *     allowed object is
     *     {@link WSValuationType }
     *     
     */
    public void setValuation(WSValuationType value) {
        this.valuation = value;
    }

    /**
     * Gets the value of the pdfDocument property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getPdfDocument() {
        return pdfDocument;
    }

    /**
     * Sets the value of the pdfDocument property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setPdfDocument(byte[] value) {
        this.pdfDocument = value;
    }

    /**
     * Gets the value of the returnCode property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getReturnCode() {
        return returnCode;
    }

    /**
     * Sets the value of the returnCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setReturnCode(Integer value) {
        this.returnCode = value;
    }

    /**
     * Gets the value of the returnMessage property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReturnMessage() {
        return returnMessage;
    }

    /**
     * Sets the value of the returnMessage property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReturnMessage(String value) {
        this.returnMessage = value;
    }

    /**
     * Gets the value of the processInfo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProcessInfo() {
        return processInfo;
    }

    /**
     * Sets the value of the processInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProcessInfo(String value) {
        this.processInfo = value;
    }

    public WSValuation2Response withTxID(Long value) {
        setTxID(value);
        return this;
    }

    public WSValuation2Response withValuation(WSValuationType value) {
        setValuation(value);
        return this;
    }

    public WSValuation2Response withPdfDocument(byte[] value) {
        setPdfDocument(value);
        return this;
    }

    public WSValuation2Response withReturnCode(Integer value) {
        setReturnCode(value);
        return this;
    }

    public WSValuation2Response withReturnMessage(String value) {
        setReturnMessage(value);
        return this;
    }

    public WSValuation2Response withProcessInfo(String value) {
        setProcessInfo(value);
        return this;
    }

}
